Code

Updated department handling for the rootDSE entry.
[gosa.git] / gosa-core / dh-make-gosa
index 4d9dfb705e516391aa677630744114fe01babf1e..cdb53def3d5e835b6f6654c7264c099549fe2d6d 100755 (executable)
@@ -1,4 +1,22 @@
-#!/bin/bash
+#!/bin/sh
+# This code is part of GOsa (http://www.gosa-project.org)
+# Copyright (C) 2008 GONICUS GmbH
+#
+# ID: $$Id$$
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 usage() {
   echo "Usage: ${0##*/} [--download] [--section section name] [-b|--branch branch] [-e|--email mail] [--depends] plugin-dir|plugin.tar.gz" >&2
@@ -63,7 +81,8 @@ while true; do
                 shift 2
                 ;;
     --download) DOWNLOAD=yes
-                shift 1
+               echo "Download is not implemented yet"
+               exit 1
                 ;;
     --)         shift
                 break
@@ -105,7 +124,7 @@ elif [ -f "$file" ]; then
 
   # Untar
   mkdir -p "$TMPDIR"
-  tar --extract --directory "$TMPDIR" -fz "$file" &> /dev/null
+  tar --extract --directory "$TMPDIR" -fz "$file" >/dev/null 2>&1
   if [ $? -ne 0 ]; then
     echo "Error: cannot extract plugin file - invalid file format" >&2
     exit 5
@@ -139,13 +158,11 @@ echo
 read -s -n 1 -p "Do you want to continue? (y/n)" ans; echo
 [ "$ans" != "y" ] && exit 0
 
-pushd . &> /dev/null
-
 cd "$BUILD_PATH"
 
 # Use gosa-plugin skelleton
 echo "Calling dh_make..."
-echo | dh_make -e "$PL_MAIL" -c gpl -s -n -f gosa-plugin-${PL_NAME}-${PL_VERSION}.tar.gz &> /dev/null
+echo | dh_make -e "$PL_MAIL" -c gpl -s -n -f gosa-plugin-${PL_NAME}-${PL_VERSION}.tar.gz >/dev/null 2>&1
 if [ $? -ne 0 ]; then
        echo "Failed to call dh_make - aborting!"
        exit 1
@@ -155,13 +172,13 @@ echo "Apdapting debian descriptive files..."
 
 # Generate install file
 for dir in admin personal addons gofax gofon generic; do
-       [ -d $dir ] && echo -e "$dir\t\t\t/usr/share/gosa/plugins" >> debian/install
+       [ -d $dir ] && printf "$dir\t\t\t/usr/share/gosa/plugins\n" >> debian/install
 done
 for dir in help/*; do
-       echo -e "$dir\t\t\t/usr/share/gosa/doc/plugins/$PL_NAME" >> debian/install
+       printf "$dir\t\t\t/usr/share/gosa/doc/plugins/$PL_NAME\n" >> debian/install
 done
 for dir in $(ls -1 locale | grep -v "^en$" | grep -v "^messages.po$"); do
-       echo -e "locale/$dir\t\t\t/usr/share/gosa/locale/plugins/$PL_NAME" >> debian/install
+       printf "locale/$dir\t\t\t/usr/share/gosa/locale/plugins/$PL_NAME\n" >> debian/install
 done
 
 # Generate dirs
@@ -326,9 +343,7 @@ done\
 done
 
 # Remove examples
-rm debian/*ex debian/*EX &> /dev/null
-
-popd &> /dev/null
+rm debian/*ex debian/*EX >/dev/null 2>&1
 
 echo "Done."